% autorange_y.m: set the y-axis limits to fit all lines
% written by: Jonathan Jacobs
%             March 1997 - September 1999 (last mod: 09/02/99)

function autorange_y(ga)

if nargin == 0
   ga = gca;
end

handleList = get(ga,'UserData');

autoRange = get(handleList{2}{23}, 'Value');
if ~autoRange
   return
end

gf = get(ga, 'Parent');

lhand = get(gf, 'UserData');
xfactor = get( get(ga,'xlabel'),'UserData' );
xlims = get(gca, 'XLim') ./ xfactor;

ymin = []; ymax = [];
for i = 1:length(lhand)
   y = get(lhand(i), 'YData');
   x = get(lhand(i), 'XData') ./ xfactor;
   isVis = strcmp(get(lhand(i),'Vis'),'on');
   found = find( (x >= xlims(1)) & (x<=xlims(2)) );
   if length(found) >= 2 & isVis
      xlo = max(1, found(1));
      xhi = found(length(found));
      % check the non_NaN y values for a maximum.
      % (the "+xlo-1" is to keep the indices correct)
      goodPts = find(~isnan(y(xlo:xhi)));
      if ~isempty(goodPts)
         ymin(i) = min( y(goodPts+xlo-1) ); 
         ymax(i) = max( y(goodPts+xlo-1) ); 
      end
    else
      ymin(i) =  1000000000;
      ymax(i) = -1000000000;
   end
end

%keyboard 
ylim = [min(ymin) max(ymax)];
delta = (ylim(2) - ylim(1)) * 0.05;
if delta == 0
   delta = ylim(1)*0.25;
end
ylim(1) = ylim(1) - delta;
ylim(2) = ylim(2) + delta;

if ylim(1) ~= ylim(2)
  if ylim(1) > ylim(2);
    temp = ylim(1);
    ylim(1) = ylim(2);
    ylim(2) = temp;
  end 
   set(ga, 'YLim', ylim);
end

newlims

%keyboard
