% axman.m: called by zoomtool whenever user manually updates the 
% x/y axis min/max.
% Written by: Jonathan Jacobs
%             June 1996 - July 1996 (last mod: 07/02/96)

function axman( axLim )

if strcmp(get(gcf,'Tag'),'zoomed window')
   temp = get(gca, 'UserData');
 else
   disp('axman: error -- front window does not have a zoomtool')
   return
end
bigHList = temp{2};
hXLow  = bigHList{22};
hXHigh = bigHList{21};
hYLow  = bigHList{25};
hYHigh = bigHList{24};

ga = get( hXLow, 'UserData');
curs1Loc = crsrloc(ga, 1001);
curs2Loc = crsrloc(ga, 2001);

if strcmp( axLim, 'xLo' )
   old_XHigh = str2num(get(hXHigh,'String'));
   new_XLow  = str2num(get(hXLow, 'String'));
   if new_XLow < old_XHigh
      % change the x-axis display limits
      set(ga, 'XLim', [new_XLow old_XHigh]);
      % set the horizontal cursors to the proper length
      set(findline(ga,1002),'XData',[new_XLow old_XHigh]);
      set(findline(ga,2002),'XData',[new_XLow old_XHigh]);
      % if this new zoom would leave a cursor off screen
      % move it to the edge of the screen
      if (curs1Loc < new_XLow) | (curs1Loc > old_XHigh)
         crsrmove(ga,1001,new_XLow);
      end
      if (curs2Loc < new_XLow) | (curs2Loc > old_XHigh)
         crsrmove(ga,2001,old_XHigh);
      end
   end
end

if strcmp( axLim, 'xHi' )
   new_XHigh = str2num(get(hXHigh,'String'));
   old_XLow  = str2num(get(hXLow, 'String'));
   if new_XHigh > old_XLow
      % change the x-axis display limits
      set(ga, 'XLim', [old_XLow new_XHigh]);
      % set the horizontal cursors to the proper length
      set(findline(ga,1002),'XData',[old_XLow new_XHigh]);
      set(findline(ga,2002),'XData',[old_XLow new_XHigh]);
      % if this new zoom would leave a cursor off screen
      % move it to the edge of the screen
      if (curs1Loc > new_XHigh) | (curs1Loc < old_XLow)
         crsrmove(ga,1001,old_XLow);
      end
      if (curs2Loc > new_XHigh) | (curs2Loc < old_XLow)
         crsrmove(ga,2001,new_XHigh);
      end
   end
end

if strcmp( axLim, 'yLo' )
   old_YHigh = str2num(get(hYHigh,'String'));
   new_YLow  = str2num(get(hYLow, 'String'));
   if new_YLow < old_YHigh
      set(ga, 'YLim', [new_YLow old_YHigh]);
      set(findline(ga,1001),'YData',[new_YLow old_YHigh]);
      set(findline(ga,2001),'YData',[new_YLow old_YHigh]);
   end
end

if strcmp( axLim, 'yHi' )
   new_YHigh = str2num(get(hYHigh,'String'));
   old_YLow  = str2num(get(hYLow, 'String'));
   if new_YHigh > old_YLow
      set(ga, 'YLim', [old_YLow new_YHigh]);
      set(findline(ga,1001),'YData',[old_YLow new_YHigh]);
      set(findline(ga,2001),'YData',[old_YLow new_YHigh]);
   end
end
