% newlims.m:  use with zoomtool.m to dynamically update the
% editable-text axis limits.
% written by: Jonathan Jacobs
%             March 1996 - October 2003 (last mod: 10/08/03)

function newlims(ga)

if nargin == 0
   ga = gca;
end

temp = get(gca, 'UserData');
bigHList = temp{2};
hXLow  = bigHList{22};
hXHigh = bigHList{21};
hYLow  = bigHList{25};
hYHigh = bigHList{24};

newXLims = get(ga, 'Xlim');
newYLims = get(ga, 'Ylim');
newXLow  = newXLims(1);
newXHigh = newXLims(2);
newYLow  = newYLims(1);
newYHigh = newYLims(2);

set(hXLow,  'String', num2str(newXLow));
set(hXHigh, 'String', num2str(newXHigh));
set(hYLow,  'String', num2str(newYLow));
set(hYHigh, 'String', num2str(newYHigh));

% make sure the cursors are long enough and high enough
set(findline(ga,1001),'YData',[newYLow newYHigh]);
set(findline(ga,2001),'YData',[newYLow newYHigh]);
set(findline(ga,1002),'XData',[newXLow newXHigh]);
set(findline(ga,2002),'XData',[newXLow newXHigh]);

% and make sure that they are still on the screen
curs1Loc = crsrloc(ga, 1001);
curs2Loc = crsrloc(ga, 2001);
if curs1Loc < curs2Loc
   lowcurs = 1001;
   hicurs  = 2001;
 else  
   lowcurs = 2001;
   hicurs  = 1001;
end

if (curs1Loc < newXLow) | (curs1Loc > newXHigh)
   crsrmove(ga,lowcurs,newXLow);
end
if (curs2Loc < newXLow) | (curs2Loc > newXHigh)
   crsrmove(ga,hicurs,newXHigh);
end
